import request from '@/utils/request'

// 查询文件审批业务列表
export function listAccessory(query) {
  return request({
    url: '/flow/accessory/list',
    method: 'get',
    params: query
  })
}

// 查询文件审批业务详细
export function getAccessory(id) {
  return request({
    url: '/flow/accessory/' + id,
    method: 'get'
  })
}

// 新增文件审批业务
export function addAccessory(data) {
  return request({
    url: '/flow/accessory',
    method: 'post',
    data: data
  })
}

// 修改文件审批业务
export function updateAccessory(data) {
  return request({
    url: '/flow/accessory',
    method: 'put',
    data: data
  })
}

// 删除文件审批业务
export function delAccessory(id) {
  return request({
    url: '/flow/accessory/' + id,
    method: 'delete'
  })
}

// 导出文件审批业务
export function exportAccessory(query) {
  return request({
    url: '/flow/accessory/export',
    method: 'get',
    params: query
  })
}